Main Page Widgets Namespaces Book

# Gtk::StockItem Class Reference

List of all members.

## Public Member Functions

guint | get_keyval () const
Glib::ustring | get_label () const
Gdk::ModifierType | get_modifier () const
StockID | get_stock_id () const
Glib::ustring | get_translation_domain () const
const GtkStockItem* | gobj () const
GtkStockItem* | gobj ()
GtkStockItem* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
StockItem& | operator= (const StockItem& src)
| StockItem (const Gtk::StockID& stock_id, const Glib::ustring& label, Gdk::ModifierType modifier=Gdk::ModifierType(0), unsigned int keyval=0, const Glib::ustring& translation_domain=Glib::ustring())
| StockItem (const StockItem& src)
| StockItem (GtkStockItem* castitem, bool make_a_copy=false)
| StockItem ()
| ~StockItem ()

## Static Public Member Functions

static bool | lookup (const Gtk::StockID& stock_id, Gtk::StockItem& item)

## Protected Attributes

GtkStockItem* | gobject_

## Related Functions

(Note that these are not member functions.)
Gtk::StockItem | wrap (GtkStockItem* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

Gtk::StockItem::StockItem | ( |  | ) |

Gtk::StockItem::StockItem | ( | GtkStockItem * | castitem,
|  | bool | make_a_copy = `false` |
| ) |  |  | `[explicit]`

Gtk::StockItem::StockItem | ( | const StockItem& | src | ) |

Gtk::StockItem::~StockItem | ( |  | ) |

Gtk::StockItem::StockItem | ( | const Gtk::StockID& | stock_id,
|  | const Glib::ustring & | label,
|  | Gdk::ModifierType | modifier = `Gdk::ModifierType(0)`,
|  | unsigned int | keyval = `0`,
|  | const Glib::ustring & | translation_domain = `Glib::ustring()` |
| ) |  |  |

## Member Function Documentation

guint Gtk::StockItem::get_keyval | ( |  | ) | const

Glib::ustring Gtk::StockItem::get_label | ( |  | ) | const

Gdk::ModifierType Gtk::StockItem::get_modifier | ( |  | ) | const

StockID Gtk::StockItem::get_stock_id | ( |  | ) | const

Glib::ustring Gtk::StockItem::get_translation_domain | ( |  | ) | const

const GtkStockItem* Gtk::StockItem::gobj | ( |  | ) | const`[inline]`

References gobject_.

GtkStockItem* Gtk::StockItem::gobj | ( |  | ) | `[inline]`

References gobject_.

GtkStockItem* Gtk::StockItem::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

static bool Gtk::StockItem::lookup | ( | const Gtk::StockID& | stock_id,
|  | Gtk::StockItem& | item |
| ) |  |  | `[static]`

StockItem& Gtk::StockItem::operator= | ( | const StockItem& | src | ) |

## Friends And Related Function Documentation

Gtk::StockItem wrap | ( | GtkStockItem * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GtkStockItem* Gtk::StockItem::gobject_`[protected]`

Referenced by gobj().

The documentation for this class was generated from the following file:

- stockitem.h